#ifndef MY_TEMP_SENSOR_H
#define MY_TEMP_SENSOR_H

#include <Arduino.h>

class TemperatureSensor {
  
  private:
    byte pin;
    int refResistance;
    double a,b,c;
    
    byte measurementCounter;
    int measurementAccumulative;
    float temperature;
    
  public:
    TemperatureSensor(byte pin, int refResistance, double a, double b, double c);

    void init();
    void preload();
    void update();
    float getTemperature();
};

#endif
