#ifndef MY_QUEUE_H
#define MY_QUEUE_H

#define TEMP_QUEUE_LENGTH 58

#include <Arduino.h>

class Queue {
  
  private:
    byte list[TEMP_QUEUE_LENGTH];
    byte queue[TEMP_QUEUE_LENGTH];
    byte readIndex = 0;
    byte writeIndex = 0;
    
  public:
    Queue();

    void init();
    void push(byte value);
    byte pop();
    byte * clone();
    byte getMax();
    byte getMin();
    byte lookup(byte index);
};

#endif
